additionalProperties:
  formFields:
    - default: 8080
      envKey: PANEL_APP_PORT_HTTP
      labelEn: Port
      labelZh: 端口
      label:
        en: Port
        ja: ポート
        ms: Port
        pt-br: Porta
        ru: Порт
        ko: 포트
        zh: 端口
        zh-Hant: 埠
      required: true
      rule: paramPort
      type: number
    - default: tomcat
      envKey: TOMCAT_PASSWORD
      labelEn: Tomcat Password
      labelZh: 管理员密码
      label:
        en: Tomcat Password
        ja: Tomcat パスワード
        ms: Kata Laluan Tomcat
        pt-br: Senha do Tomcat
        ru: Пароль Tomcat
        ko: Tomcat 비밀번호
        zh: 管理员密码
        zh-Hant: 管理員密碼
      random: true
      required: true
      rule: paramComplexity
      type: password
